SDL_version Struct Reference

`#include <SDL_version.h>`

## Data Fields

Uint8 | major
Uint8 | minor
Uint8 | patch

## Detailed Description

# CategoryVersion

This header defines the current SDL version. Information about the version of SDL in use.

Represents the library's version as three levels: major revision (increments with massive changes, additions, and enhancements), minor revision (increments with backwards-compatible changes to the major revision), and patchlevel (increments with fixes to the minor revision).

See also
  SDL_VERSION
  SDL_GetVersion

Definition at line 50 of file SDL_version.h.

## Field Documentation

## major

Uint8 SDL_version::major

major version

Definition at line 52 of file SDL_version.h.

## minor

Uint8 SDL_version::minor

minor version

Definition at line 53 of file SDL_version.h.

## patch

Uint8 SDL_version::patch

update version

Definition at line 54 of file SDL_version.h.

The documentation for this struct was generated from the following file:

- SDL_version.h